# Uses of Class
org.globus.gsi.CertificateRevocationLists

Packages that use CertificateRevocationLists
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.proxy
org.globus.gsi.trustmanager

## Uses of CertificateRevocationLists in org.globus.gsi

Methods in org.globus.gsi that return CertificateRevocationLists
Modifier and Type
Method
Description
`static CertificateRevocationLists`
CertificateRevocationLists.`getCertificateRevocationLists(String locations)`
Deprecated.
`static CertificateRevocationLists`
CertificateRevocationLists.`getDefault()`
Deprecated.
`static CertificateRevocationLists`
CertificateRevocationLists.`getDefaultCertificateRevocationLists()`
Deprecated.
Methods in org.globus.gsi with parameters of type CertificateRevocationLists
Modifier and Type
Method
Description
`static void`
CertificateRevocationLists.`setDefaultCertificateRevocationList(CertificateRevocationLists crl)`
Deprecated.

## Uses of CertificateRevocationLists in org.globus.gsi.proxy

Methods in org.globus.gsi.proxy with parameters of type CertificateRevocationLists
Modifier and Type
Method
Description
`void`
ProxyPathValidator.`validate(X509Certificate[] certPath, X509Certificate[] trustedCerts, CertificateRevocationLists crls)`
`void`
ProxyPathValidator.`validate(X509Certificate[] certPath, X509Certificate[] trustedCerts, CertificateRevocationLists crls, SigningPolicy[] signingPolicies)`
`void`
ProxyPathValidator.`validate(X509Certificate[] certPath, X509Certificate[] trustedCerts, CertificateRevocationLists crls, SigningPolicy[] signingPolicies, Boolean enforceSigningPolicy)`
`protected void`
ProxyPathValidator.`validate(X509Certificate[] certPath, TrustedCertificates trustedCerts, CertificateRevocationLists crlsList)`
`protected void`
ProxyPathValidator.`validate(X509Certificate[] certPath, TrustedCertificates trustedCerts, CertificateRevocationLists crlsList, Boolean enforceSigningPolicy)`
Performs certificate path validation.

## Uses of CertificateRevocationLists in org.globus.gsi.trustmanager

Constructors in org.globus.gsi.trustmanager with parameters of type CertificateRevocationLists
Modifier
Constructor
Description
``
`CRLChecker(CertificateRevocationLists crlsList, KeyStore keyStore, boolean checkDateValidity)`
Creates a CRLChecker where the CRL's are in the supplied stores.